public class Theke {
    // Attribute
    private final int MAX_PLATZ = 24; //maximaler Platz
    private int anzahlEssen;
    
    //Konstruktor
    public Theke() {
        anzahlEssen = 0;
    }

    //Methoden und Dienste
    public synchronized void hinstellen(String essen, int anzahl) {
        if (anzahlEssen<MAX_PLATZ-anzahl) {
            anzahlEssen += anzahl;
            System.out.println("Hausmeister: "+essen+" - "+ anzahlEssen +" Stck auf Theke");
            notifyAll();
        } else {
            System.out.println("HAUSMEISTER: KEIN PLATZ MEHR - WARTEN");
            try {
                wait(5000); //soll bestimmt Zeit warten und dann wieder schauen, ob Pommes gebruacht werden.
            } catch (InterruptedException e) {}
        }
    }
    
    public synchronized boolean wegnehmen(int schulerNr) {
        if (anzahlEssen>0) {
            anzahlEssen--;
            System.out.println("Schler "+schulerNr+" nimmt essen"+" - "+ anzahlEssen +" Stck auf Theke");
            return true;
        } else {
            System.out.println("SCHLER "+schulerNr+" MUSS WARTEN.");
            try {
                wait();
            } catch (InterruptedException e) {}
        }
        return false;
    }
    
}
